/*
** svn $Id: upwelling.h 831 2017-01-24 21:38:51Z arango $
*******************************************************************************
** Copyright (c) 2002-2017 The ROMS/TOMS Group                               **
**   Licensed under a MIT/X style license                                    **
**   See License_ROMS.txt                                                    **
*******************************************************************************
**
** Options for Upwelling Test.
**
** Application flag:   UPWELLING
** Input script:       ocean_upwelling.in
*/

#define UV_ADV
#define UV_COR
#define DJ_GRADPS
#define UV_LDRAG
#undef SPLINES_VDIFF  /* not sure JMP */
#undef SPLINES_VVISC  /* not sure JMP */

#define VAR_RHO_2D
#define SALINITY
#define SOLVE3D

#undef UV_VIS2
#define UV_VIS4

#undef AVERAGES

#undef TS_DIF2
#define TS_DIF4

/* horizontal mixing options*/
#define MIX_GEO_TS
#undef MIX_S_TS

#undef MIX_GEO_UV
#define MIX_S_UV

/* to match Hernan's options, change advection optios*/
#define TS_A4VADVECTION 
#define TS_A4HADVECTION
#define UV_C4ADVECTION


#define ANA_GRID
#define ANA_INITIAL
#define ANA_SMFLUX
#define ANA_STFLUX
#define ANA_SSFLUX
#define ANA_BTFLUX
#define ANA_BSFLUX

#define GLS_MIXING
#if defined GLS_MIXING 
# undef KANTHA_CLAYSON
# define CANUTO_A
# define N2S2_HORAVG
# define RI_SPLINES
#endif

#undef MY25_MIXING
#if defined MY25_MIXING 
# define KANTHA_CLAYSON
# define N2S2_HORAVG
# define RI_SPLINES
#endif

#undef LMD_MIXING 
#ifdef LMD_MIXING
# define ANA_SRFLUX
# define LMD_CONVEC
# define LMD_DDMIX
# define LMD_SKPP
# define LMD_BKPP
# define LMD_NONLOCAL
# define LMD_RIMIX
#endif


/*now define my parameters */
#define JMP_x0 50.0e3_r8    /*center of density anomaly, x */
#define JMP_y0 1600.0e3_r8    /*center of density anomaly, y */
#define JMP_xb 40.0e3_r8 /*width of bump, x direction */
#define JMP_yb 400.0e3_r8 /*width of bump, y direction */
#define JMP_rhoAmp -0.0_r8 /*amplitude of density anomaly*/
#define JMP_rhoStrat -0.01_r8 /*vertical stratification in density*/

#define JMP_H0 50.0_r8 /* depth at coast */
#define JMP_alpha 0.0e-3_r8 /* bottom slope */
#define JMP_Hplane 0.0_r8 /* depth at foot of abysal plane */
#define JMP_Xshelf 120.0e3_r8 /* width of shelf */
#define JMP_Xw 15.0e3_r8 /* width of slope */




